SDL_Color(3type)

NAME
SDL_Color - A structure that represents a color as RGBA components.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_Color
{
    Uint8 r;
    Uint8 g;
    Uint8 b;
    Uint8 a;
} SDL_Color;

DESCRIPTION
The bits of this structure can be directly reinterpreted as an integer-packed color which uses the

SDL_PIXELFORMAT_RGBA32
 format ( SDL_PIXELFORMAT_ABGR8888
 on little-endian systems and SDL_PIXELFORMAT_RGBA8888
 on big-endian systems).

AVAILABILITY
This struct is available since SDL 3.2.0.